Unit tmnb9r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB9R_p, MNB9R_p;

function tmnb9r: String;

implementation

function tmnb9r: String;
var
KOUNT,IERR :Integer;
A,B,FA,FB :Real;
X :Array [0..0] of Real;
S :Array [0..0] of Real;
XX :Array [0..0] of Real;
const
N :Integer = 1;
EPS :Real = 1.0E-04;
H :Real = 1.0E+03;
label
_10;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
X[0] := -3.0;
S[0] := 1.0;
MNB9R(N,X,S,XX,EPS,H,A,B,FA,FB,KOUNT,FMNB9R,IERR);
Result := Result + Format('%s',['      IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
if ( IERR = 66 ) 
 then goto _10;
Result := Result + Format('%s',['   OTPEOK:   (']);
Result := Result + Format('%20.16f ',[A]);
Result := Result + Format('%s',[' ,']);
Result := Result + Format('%20.16f ',[B]);
Result := Result + Format('%s',['  )' + #$0D#$0A]);
Result := Result + Format('%s',['      FA(A) = ']);
Result := Result + Format('%20.16f ',[FA]);
Result := Result + Format('%s',['      F(B) = ']);
Result := Result + Format('%20.16f ',[FB]) + #$0D#$0A;
_10:
UtRes('tmnb9r',Result);  {     tmnb9r.res }
exit;
end;

end.
